Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._1_0.protocol
Class AttributeQuery

    java.lang.Object
      oasis.names.tc.saml._1_0.protocol.QueryAbstractType
          oasis.names.tc.saml._1_0.protocol.SubjectQueryAbstractType
              oasis.names.tc.saml._1_0.protocol.AttributeQuery

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T08:53:06+02:00",
               comments="JAXB RI v2.2.11")
    public class AttributeQuery

extends SubjectQueryAbstractType
implements Serializable

Java class for AttributeQueryType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AttributeQueryType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:1.0:protocol}SubjectQueryAbstractType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}AttributeDesignator" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="Resource" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AttributeQuery()`

Method Summary
`List<AttributeDesignatorType>` | `getAttributeDesignators()` Gets the value of the attributeDesignators property.
`String` | `getResource()` Gets the value of the resource property.
`void` | `setResource(String value)` Sets the value of the resource property.

Methods inherited from class oasis.names.tc.saml._1_0.protocol.SubjectQueryAbstractType
`getSubject, setSubject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeQuery

    public AttributeQuery()

Method Detail

### getAttributeDesignators

    public List<AttributeDesignatorType> getAttributeDesignators()

  Gets the value of the attributeDesignators property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributeDesignators property.

  For example, to add a new item, do as follows:

          getAttributeDesignators().add(newItem);

  Objects of the following type(s) are allowed in the list `AttributeDesignatorType`

### getResource

    public String getResource()

  Gets the value of the resource property.

  Returns:
    possible object is `String`

### setResource

    public void setResource(String value)

  Sets the value of the resource property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.